Package ghidra.trace.database.symbol

# Class DBTraceClassSymbol

java.lang.Object
ghidra.program.database.DatabaseObject
ghidra.util.database.DBAnnotatedObject
ghidra.trace.database.symbol.AbstractDBTraceSymbol
ghidra.trace.database.symbol.DBTraceNamespaceSymbol
ghidra.trace.database.symbol.DBTraceClassSymbol

All Implemented Interfaces:
  `GhidraClass`, `Namespace`, `Symbol`, `DBTraceOverlaySpaceAdapter.DecodesAddresses`, `TraceClassSymbol`, `TraceNamespaceSymbol`, `TraceSymbol`

public class DBTraceClassSymbol extends DBTraceNamespaceSymbol implements TraceClassSymbol

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.program.model.symbol.Namespace

  `Namespace.Type`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.database.symbol.DBTraceNamespaceSymbol

  `allAddresses`

  ### Fields inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbol

  `manager, parent`

  ### Fields inherited from class ghidra.program.database.DatabaseObject

  `key`

  ### Fields inherited from interface ghidra.program.model.symbol.Namespace

  `DELIMITER, GLOBAL_NAMESPACE_ID, NAMESPACE_DELIMITER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceClassSymbol(DBTraceSymbolManager manager, DBCachedObjectStore<?> store, DBRecord record)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SymbolType`
  `getSymbolType()`
  Returns this symbol's type

  ### Methods inherited from class ghidra.trace.database.symbol.DBTraceNamespaceSymbol

  `checkCircular, delete, doGetPath, getAddressSet, getBody, getChildren, getLifespan, isPrimary, setParentNamespace, setPrimary`

  ### Methods inherited from class ghidra.trace.database.symbol.AbstractDBTraceSymbol

  `assertIsNamespace, assertNotGlobal, doCollectAddressSet, doDelete, doSetNameWithEvent, doSetParent, doSetSource, doSetSourceWithEvent, equals, fresh, getAddress, getAddressSpace, getID, getName, getName, getOverlaySpaceAdapter, getParentNamespace, getParentSymbol, getPath, getProgram, getProgramLocation, getRanges, getReferenceCollection, getReferenceCount, getReferences, getReferences, getSource, getThread, getTrace, hashCode, hasReferences, isDescendant, isDynamic, isExternal, isGlobal, isPinned, isValidParent, set, setName, setNameAndNamespace, setNamespace, setPinned, setSource, toString, validateNameAndParent, validateNameAndSource`

  ### Methods inherited from class ghidra.util.database.DBAnnotatedObject

  `doRefresh, doUpdateAll, doUpdated, doWrite, getObjectKey, getTableName, isDeleted, refresh, refresh, update, update, update, update`

  ### Methods inherited from class ghidra.program.database.DatabaseObject

  `checkDeleted, checkIsValid, checkIsValid, getKey, isDeleted, isInvalid, keyChanged, setDeleted, setInvalid, validate`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.program.model.listing.GhidraClass

  `getType`

  ### Methods inherited from interface ghidra.program.model.symbol.Namespace

  `getBody, getID, getName, getName, getParentNamespace, getPathList, isExternal, isGlobal, isLibrary, setParentNamespace`

  ### Methods inherited from interface ghidra.program.model.symbol.Symbol

  `delete, getAddress, getID, getName, getName, getProgram, getProgramLocation, getReferenceCount, getSource, hasReferences, isDeleted, isDescendant, isDynamic, isExternal, isExternalEntryPoint, isPrimary, isValidParent, setName, setNameAndNamespace, setNamespace, setPrimary, setSource`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceNamespaceSymbol

  `getChildren, getObject, getParentNamespace, getPath, getSymbol, getTrace, isGlobal`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbol

  `getParentSymbol, getReferenceCollection, getReferences, getReferences, getThread, isPinned, setPinned`

- ## Constructor Details

  - ### DBTraceClassSymbol

    public DBTraceClassSymbol(DBTraceSymbolManager manager, DBCachedObjectStore<?> store, DBRecord record)

- ## Method Details

  - ### getSymbolType

    public SymbolType getSymbolType()
    Description copied from interface: `Symbol`
    Returns this symbol's type
    Specified by:
      `getSymbolType` in interface `Symbol`
    Overrides:
      `getSymbolType` in class `DBTraceNamespaceSymbol`
    Returns:
      symbol type